@echo off
rem $Id: installr.bat 1.5 95/03/31 14:55:11 frotz Exp $
rem $Source: h:/prod/lwp/patches/rcs/installr.bat $
rem $Locker:  $

rem
rem	Specify which patch name and which signature file here:	
rem
set _mod=TCP16
set _rev=
set _file=lwpcon.exe
set _r=n
rem

echo.
echo.%0:  Novell TCP/IP-16 patch installer:  %_mod%%_rev%
echo.	(C) Copyright 1995-1996 Novell, Inc.  All Rights Reserved.
echo.

:MAIN
rem
rem	WARNING:  This must be invoked from the current directory.
rem
set ME=%0
set _readme=%PAGER%

set usage=%me% [/h] [/p] [/r] [/d dir]
if  (%_r%)==(y)	set usage=%me% [/h] [/p] [/r] /d dir
if  (%_r%)==(y)	if  (%1)==()	goto USAGE

if  (%1)==(-h)	goto USAGE
if  (%1)==(-H)	goto USAGE
if  (%1)==(/h)	goto USAGE
if  (%1)==(/H)	goto USAGE
if  (%1)==(/?)	goto USAGE
if  (%1)==(-?)	goto USAGE
if  (%1)==(-p)	set install_opt=/P
if  (%1)==(/p)	set install_opt=/P
if  (%1)==(-P)	set install_opt=/P
if  (%1)==(/P)	set install_opt=/P
if  (%1)==(-p)	shift
if  (%1)==(/p)	shift
if  (%1)==(-P)	shift
if  (%1)==(/P)	shift
if  (%1)==(/d)	set dir=%2
if  (%1)==(-d)	set dir=%2
if  (%1)==(/D)	set dir=%2
if  (%1)==(-D)	set dir=%2
if  (%1)==(/r)	set _readme=more
if  (%1)==(-r)	set _readme=more
if  (%1)==(/R)	set _readme=more
if  (%1)==(-R)	set _readme=more
if  (%_r%)==(y)	goto INSTALL
if  not exist which.exe	goto USAGE
goto INSTALL




:USAGE
echo.
echo. %me% usage:
echo. %usage%
echo.
echo. where:
echo.	/h	Displays this information.
echo.	/r	View the %_mod%%_rev%.TXT file after installing.
echo.	/p	Prompts user before adding/replacing each file.
echo.	dir	Optionally specifies the directory to be upgraded.
echo.
echo. NOTE: This batch file requires the DOS command REPLACE.EXE.
if  (%_r%)==(y)	goto WARNING

echo. The command WHICH.EXE will attempt to find the correct directory
echo. and MUST be in the current directory.
echo.

:WARNING
echo. WARNING: This batch file requires an environment size of 1024 or more.
echo.          Add this line to CONFIG.SYS to ensure proper execution.
echo.          SHELL=C:\MSDOS\6\COMMAND.COM C:\ /E:2048 /P
echo.
goto end




:INSTALL
echo. WARNING:  This installation batch file expects to install into
echo.           the normal directory tree for this product.  
echo.
echo.           If this installation fails, apply each file by hand.
echo.           SHELL=C:\MSDOS\COMMAND.COM C:\ /E:2048 /P  is highly recommended.
pause
if  (%dir%)==()	goto APPLY
set old_path=%path%
if  not (%old_path%)==(%path%)	goto ERROR1
set path=%dir%;%path%
echo. %me%: PATH temporarily forced to %path%.
goto APPLY




:NEWINSTALL
rem
rem	We come here because we can't find a LAN WorkPlace product 
rem	anywhere.  Now we'll look for the NetWare Client.  If we
rem	don't find that, we presume C:\NWCLIENT.
rem
echo %me%: LAN WorkPlace not found...
echo %me%: Checking for NetWare Client installation...
set _file=vlm.exe
which /b=%_tmp%\ptch_tmp.bat %_file%
echo.
if      exist %_tmp%\ptch_tmp.bat	pause
if      exist %_tmp%\ptch_tmp.bat	goto STEP2
if      (%PAGER%)==()			set _README=more
echo %me%: New installation detected...
set _tmp_path_=c:\nwclient
set _new=yes
if  not exist %_tmp_path_%\NUL		md %_tmp_path_%
pause
goto STEP3




:ERROR1
echo. %me% FATAL ERROR.  Out of environment space.
goto USAGE




:APPLY
:STEP1
rem
rem	1) Find which directory and create a batch file...
rem
set _tmp=%temp%
if  (%_tmp%)==()	set _tmp=c:
which /b=%_tmp%\ptch_tmp.bat %_file%
if  not exist %_tmp%\ptch_tmp.bat	goto NEWINSTALL
echo.


:STEP2
rem
rem	2) Invoke that batch file to find the target directory.
rem	   Stored in the Environment Variable:  _TMP_PATH_.
rem
if  exist %_tmp%\ptch_tmp.bat	call %_tmp%\ptch_tmp.bat
if  exist %_tmp%\ptch_tmp.bat	del  %_tmp%\ptch_tmp.bat
set _tmp=


:STEP3
rem
rem	3) Now add any missing files.
rem
cd .
echo. %me%: Updating %_tmp_path_%
replace /u /r %install_opt% *.* %_tmp_path_%
replace /a /r %install_opt% *.* %_tmp_path_%
cd .

:STEP4
rem
rem	4) Don't copy the PATCH compressed file.  Go back and delete it.
rem
echo. %me%: REPLACE copied the self-extract patch file.  Now undoing that...
if  exist %_tmp_path_%\%_mod%%_rev%.exe	attrib -r %_tmp_path_%\%_mod%%_rev%.exe
if  exist %_tmp_path_%\%_mod%%_rev%.zip	attrib -r %_tmp_path_%\%_mod%%_rev%.zip
if  exist %_tmp_path_%\%_mod%%_rev%.exe	del %_tmp_path_%\%_mod%%_rev%.exe
if  exist %_tmp_path_%\%_mod%%_rev%.zip	del %_tmp_path_%\%_mod%%_rev%.zip

rem
rem	Remove local files that will never appear in the field...
rem
if  exist %_tmp_path_%\0index.htm	attrib -r %_tmp_path_%\0index.htm
if  exist %_tmp_path_%\0index.txt	attrib -r %_tmp_path_%\0index.txt
if  exist %_tmp_path_%\0index.stp	attrib -r %_tmp_path_%\0index.stp
if  exist %_tmp_path_%\0index.lst	attrib -r %_tmp_path_%\0index.lst
if  exist %_tmp_path_%\0index.htm	del %_tmp_path_%\0index.htm
if  exist %_tmp_path_%\0index.txt	del %_tmp_path_%\0index.txt
if  exist %_tmp_path_%\0index.stp	del %_tmp_path_%\0index.stp
if  exist %_tmp_path_%\0index.lst	del %_tmp_path_%\0index.lst


:STEP5
rem
rem	5) Clean up...
rem
if  not (%dir%)==()	set path=%old_path%
if  not (%dir%)==()	echo. %me%: PATH reset to %path%.


:STEP6
rem
rem	6) New installation and potentially no NET.CFG...
rem
if  (%_new%)==()		goto STEP7
if  exist %_tmp_path_%\net.cfg	set _comment=;
echo ;							>> %_tmp_path_%\net.cfg
echo ;	Ensure that you have a LINK SUPPORT		>> %_tmp_path_%\net.cfg
echo ;	section without a semi-colon comment		>> %_tmp_path_%\net.cfg
echo ;	prefix.  The sample NET.CFG below		>> %_tmp_path_%\net.cfg
echo ;	is appropriate for Ethernet			>> %_tmp_path_%\net.cfg
echo ;	environemnts.  You will need to replace:	>> %_tmp_path_%\net.cfg
echo ;		"xxx.xxx.xxx.xxx" with your ip_address.	>> %_tmp_path_%\net.cfg
echo ;		"yyy.yyy.yyy.yyy" with your ip_netmask.	>> %_tmp_path_%\net.cfg
echo ;		"zzz.zzz.zzz.zzz" with your ip_router.	>> %_tmp_path_%\net.cfg
echo ;		"MLID" with your ODI driver name.	>> %_tmp_path_%\net.cfg
echo ;							>> %_tmp_path_%\net.cfg
echo ;	You may wish to obtain the latest VLM		>> %_tmp_path_%\net.cfg
echo ;	kit from NetWire and install that first.	>> %_tmp_path_%\net.cfg
echo ;							>> %_tmp_path_%\net.cfg
echo ;	--------------------------------------		>> %_tmp_path_%\net.cfg
echo %_comment%						>> %_tmp_path_%\net.cfg
echo %_comment%Link Support 				>> %_tmp_path_%\net.cfg
echo %_comment%	Buffers   12 1500			>> %_tmp_path_%\net.cfg
echo %_comment%	MemPool   8192				>> %_tmp_path_%\net.cfg
echo %_comment%	Max Boards   4				>> %_tmp_path_%\net.cfg
echo %_comment%	Max Stacks   4				>> %_tmp_path_%\net.cfg
echo %_comment%						>> %_tmp_path_%\net.cfg
echo %_comment%Link Driver MLID				>> %_tmp_path_%\net.cfg
echo %_comment%	INT   10 				>> %_tmp_path_%\net.cfg
echo %_comment%	PORT  300 				>> %_tmp_path_%\net.cfg
echo %_comment%	SLOT  1					>> %_tmp_path_%\net.cfg
echo %_comment%	Frame Ethernet_802.2 			>> %_tmp_path_%\net.cfg
echo %_comment%	Frame Ethernet_II 			>> %_tmp_path_%\net.cfg
echo %_comment%						>> %_tmp_path_%\net.cfg
echo %_comment%Protocol TCPIP 				>> %_tmp_path_%\net.cfg
echo %_comment%	PATH TCP_CFG   %_tmp_path_%		>> %_tmp_path_%\net.cfg
echo %_comment%	ip_address   xxx.xxx.xxx.xxx LAN_NET	>> %_tmp_path_%\net.cfg
echo %_comment%	ip_netmask   yyy.yyy.yyy.yyy LAN_NET	>> %_tmp_path_%\net.cfg
echo %_comment%	ip_router    zzz.zzz.zzz.zzz LAN_NET	>> %_tmp_path_%\net.cfg
echo %_comment%	Bind   MLID #1 Ethernet_II LAN_NET	>> %_tmp_path_%\net.cfg
echo %_comment%						>> %_tmp_path_%\net.cfg
echo %_comment%NWIP 					>> %_tmp_path_%\net.cfg
echo %_comment%	AUTORETRIES   1				>> %_tmp_path_%\net.cfg
echo %_comment%	AUTORETRY SECS   10			>> %_tmp_path_%\net.cfg
echo %_comment%	NSQ_BROADCAST   ON			>> %_tmp_path_%\net.cfg
echo %_comment%	NWIP1_1 COMPATIBILITY   OFF		>> %_tmp_path_%\net.cfg

if      (%VISUAL%)==()	set _VISUAL=edit
if  not (%VISUAL%)==()	set _VISUAL=%VISUAL%
%_VISUAL% %_tmp_path_%\net.cfg


:STEP7
rem
rem	7) Now read the README...
rem	   NOTE:  MORE must be on the path.
rem	   Clean up our environment first.  The user may
rem	   abort the readme which will prevent our cleanup.
rem
set _TMP_PATH_=
set OSVER=
set DIR=
set OLD_PATH=
set ME=
set INSTALL_OPT=
set _FILE=
set USAGE=
set _R=
set _README=
set _NEW=
set _COMMENT=
set _VISUAL=
set _TMP=
if  (%_readme%)==()	goto END
%_readme% < %_mod%%_rev%.TXT
goto END




:end
echo. %0: %_mod%%_rev% installation completed.
set _MOD=
set _REV=
